---
features:
  primary:
  - name: "Additional Secret Detection pattern support"
    available_in: [core, premium, ultimate]
    documentation_link: 'https://docs.gitlab.com/ee/user/application_security/secret_detection/#supported-secrets'
    reporter: tmccaslin
    stage: application_security_testing
    image_url: '/images/14_5/secret-detection.png'
    categories:
    - Secret Detection
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/340002'
    description: |
        We've updated the GitLab Secret Detection scanner to detect 47 new 'well-identifiable' secret patterns for widely used applications. This brings the GitLab Secret Detection detection up to over 90 detectable patterns.

        If you are a SaaS application vendor and your app generates secret tokens with well-identifiable patterns, and you'd like GitLab to be able to detect them, please add your regex pattern and a few invalid sample tokens [in a comment on this issue](https://gitlab.com/gitlab-org/gitlab/-/issues/345453)  and we'll get them added to GitLab Secret Detection.
